Messaging to plugin developers: ClassicPress is a big opportunity, get in early!

needs-action

#1

@ozfiddler I think this is a great idea! I’ve started a new thread here in the marketing subforum to discuss.

Question for everyone: should we update the sample email on our FAQ page accordingly?


#2

I think that is a great idea!


#3

@james I personally think the email template does need updating to focus more on the “great opportunity” aspect. The email should answer the developer’s inevitable “why should I?” question before they even ask it. They’ll naturally want to know what’s in it for them.


#4

Okay :slight_smile:

Second question: who can write something up?

Post it here and we’ll get it copied over to the FAQ page.


#5

I’d say something like this - feel free to make changes…

Hi there,

You might already have heard of ClassicPress (https://www.classicpress.net), the hard fork of WordPress 4.9.8. It’s in Beta 2 now and the team is working hard on the first production release, ClassicPress 1.0.0.

Version 1 of ClassicPress will always stay backward compatible with WP 4.9.x. This means that as long as [PLUGIN NAME] remains compatible with WP 4.9.x, it will also be compatible with version 1.x of ClassicPress and users can continue to enjoy the benefits of your plugin.

However, planning is already underway for more changes in Version 2, and these changes will require plugin developers to make a serious committment to develop for ClassicPress. There are already a number of developers indicating their willingness to do so, and ClassicPress users are now compiling a list of ClassicPress-friendly plugins which are quickly becoming their preferred options. Obviously this presents a good opportunity for developers to gain access to a whole new market, and as a keen user of [PLUGIN NAME] I would very much like to see it added to that list.

You probably know this already, but there is a handy condition that you can use in your plugin:

function_exists( 'classicpress_version' )

To make it easy for ClassicPress users to find your plugin you can add somewhere in the plugin’s readme.txt that your plugin is compatible with ClassicPress. Once you do, it will be very easy for people to search in the WP Plugins Directory on ClassicPress compatible plugins: https://wordpress.org/plugins/search/classicpress/

Looking forward to hearing from you,

Thank you very much,
[YOUR NAME]


Shield security plugin doesn't know how to check ClassicPress core files
#6

Since I understand that v. 1 is about to be released later this month (or did I miss a change in the planned release date?), I would wait for a few days. It would be much more convicing to write: “After months of hard work by the ClassicPress team and two beta periods, ClassicPress 1.0.0 is now available.”


#7

Would certainly be great to write that. (…no pressure guys! :slightly_smiling_face:)


#8

v1 is not going to be ready in January. There are still a lot of development tasks to get done:

The tasks in those two lists may change a little bit, but that is a pretty accurate picture of what’s still left to do.


When is RC1 going live?
Blog post draft/discussion: ETA on v1
#9

Thank you for the update - and for the hard work!


#10

Yes, thanks for the update James. I’m sorry I can’t get in there and help… but sadly I just don’t have the skills. :crazy_face:


#11

If someone reading this does have some development experience - or wants to get started! - then please take a look at the issue lists above, and feel free to ask questions in Slack or on the individual GitHub issues.

There are some that should be relatively quick and easy, some that are in progress and just need code review and testing, and some that will need a bit more time.


#12

@ozfiddler - well done on this email, I like the tone you’ve set here – creating opportunity is a much better perspective, I think. Thank you for doing this!


#13

Very good approach.

Do you mind, however, if I suggest a few tweaks to the phrasing?

Some slight changes in wording can change the tone from “we really want you to help us” to “we can really help you”.


#14

We’d be happy to hear your suggestions, Blaze – thanks for offering!


#15

Yes, please do. It was just a quick suggestion for a different way to approach things, and meant to be a starting point so I was expecting that others would be contributing.


#16

My apologies for the delayed response. Personal and professional responsibilities have ramped up, and I need to attend to them first.

I’ll have a response in the next day or two.

One question: Is this message meant to come from ClassicPress or from users of CP? What I’m seeing seems to be a combination of both.


#17

I think it’s meant to be a template for something that a CP user might send to a plugin developer to encourage them to support CP in the long term. So, I see the point of it as saying:

(1) I use and like your plugin
(2) If you keep it backward-compatible with WP4.9 I can keep using it with CPv1
(3) But CPv2 is coming and if you want to get a bunch more users (and keep me as a user) you should think about making an effort to support both WP and CP in the long-term.

There is some technical detail in there that does sound more like it comes direct from CP. I’m not sure whether this is helpful, or just makes it look too much like an obvious “template-style” email.


#18

Thanks @Blaze and let us know if you have any additional questions, need more information, etc.

I agree with @ozfiddler: the voice of this message should be something ClassicPress users would want to send to plugin authors, but also a message that we’re comfortable with ourselves. And consistency improvements are definitely welcome there.

Striking the right balance here in terms of technical details is tricky. If we need to take some of that out, we could link to a documentation page, or provide only the very basics and then direct authors to the forums.

On a technical note, the current message sort of implies that themes and plugins will break with the release of ClassicPress v2. This isn’t true: we expect that most things will continue to work, except for some particularly rare edge cases where code depends on specific file paths in the core software.

However, people still need support, and all systems fall apart over time unless they are actively maintained, so I expect that ClassicPress users will gravitate towards plugins that are actively supporting ClassicPress.


#19

@james and @ozfiddler basically said what I was going to.

If this is for users to send, it should just say (paraphrasing) “I use the plug in, I’m moving to ClassicPress. I’d really like it if your plugin would continue to work there.” And a link to a FAQ or documentation on the CP site that is written appropriately for developers.

After v1 is out, CP may wish to directly contact developers (starting with the most popular?) to explain about CP and suggest that they support it. This would involve technical details, migration numbers, etc.


#20

ClassicPress is led by a team of volunteers, just like the rest of the community. We are asking our community to help with this task, both due to resource limitations, and because plugin developers’ own users are the people they most want to hear from about their needs.

Do you have specific wording changes to the message we already have on our FAQ page and on this thread? I’ve been waiting for that before putting the updated message on the FAQ page.

Otherwise we need to move forward with what we already have.